BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	base_name	servletapi
%define	major_version	4
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		4.0.4
%define release		4jpp

Name:		%{name}
Version:	%{version}
Release:	alt1_4jpp1.7
Epoch:		0
Summary:	Java servlet and JSP implementation classes
License: 	Apache License
Group: 		Development/Java
Source:		%{full_name}-4-src.tar.gz
Url: 		http://jakarta.apache.org/tomcat
Provides:       servlet
Requires(preun): alternatives >= 0:0.2.0-alt0.12
Requires(post): alternatives >= 0:0.2.0-alt0.12
Buildrequires:	ant >= 1.2
Buildrequires:  jpackage-utils > 1.4
BuildArch:	noarch
Obsoletes:	servlet4
Obsoletes:	servlet23
Provides:	servlet4
Provides:	servlet23
Provides: jakarta-servletapi4 = %{name}-%{version}
Obsoletes: jakarta-servletapi4 < 4.0.0-alt1

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: 			Development/Documentation
Summary: 		Javadoc for %{name}

%description javadoc
Javadoc generated Documentation for %{name}.

%prep
%setup -n %{full_name}-4-src

%build
ant dist -Dservletapi.build=build -Dservletapi.dist=dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d $RPM_BUILD_ROOT/%_altdir; cat >$RPM_BUILD_ROOT/%_altdir/servlet_%{name}<<EOF
%{_javadir}/servlet.jar	%{_javadir}/%{name}-%{version}.jar	20300
EOF
ln -s servletapi4.jar $RPM_BUILD_ROOT/%{_javadir}/jakarta-servletapi4.jar

cat >>$RPM_BUILD_ROOT/%_altdir/servletapi_%{name}<<EOF
%{_javadir}/servletapi.jar	%{_javadir}/%{name}-%{version}.jar	20300
EOF

%post
%register_alternatives servlet_%{name}
%register_alternatives servletapi_%{name}

%postun
if [ "$1" = "0" ]; then
	%unregister_alternatives servlet_%{name}
fi

if [ "$1" = "0" ]; then
        %unregister_alternatives servletapi_%{name}
fi


%files
%{_javadir}/jakarta-servletapi4.jar
%_altdir/servlet_%{name}
%doc LICENSE README.txt
%{_javadir}/*
%_altdir/servletapi_*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Tue Dec 18 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.0.4-alt1_4jpp1.7
- added servletapi alternative

* Sat Apr 21 2007 Igor Vlasenko <viy@altlinux.ru> 0:4.0.4-alt0.5_4jpp1.7
- converted from JPackage by jppimport script

* Wed Apr 18 2007 Igor Vlasenko <viy@altlinux.ru> 4.0.0-alt0.5.20040901
- added servletapi4.jar (JPackage compat)

* Wed Apr 18 2007 Igor Vlasenko <viy@altlinux.ru> 4.0.0-alt0.4.20040901
- added Provides: servlet = api_version

* Sun Dec 19 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.3.20040901
- Renamed to jakarta-servletapi4
- Updated to the last CVS change
- Switched to the new alternatives format
- Use macros from rpm-build-java

* Sun Jul 04 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.2.20040703
- Updated to the last nightly build
- Introduced an alternative to manage servletapi.jar symlink

* Sat Jun 12 2004 Mikhail Zabaluev <mhz@altlinux.ru> 4.0.0-alt0.1.20040611
- Ported to Sisyphus from JPackage
- Package from Alexey Borovskoy used as well
